Subject: RE: setup.exe keeps hanging
From: "Reid Thompson" <[email-masked]>
To: "Dave Korn" <[email-masked]>, "Jurgen Defurne" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 18 Apr 2005 08:12:53 -0400

Dave Korn wrote:
> ----Original Message----
>> From: Jurgen Defurne
>> Sent: 14 April 2005 13:38
> 
>> I still have the following problems :
>> 
>> - The installation of cygwin1.dll keeps hanging at 78 %
>> -- Probably because the installation is not complete,
>> i cannot get access to my D: drive (which is just a second drive),
>> but I can get access to my C: drive and to my network drives.
>> 
>> ANy hints ?
>> 
> 
> 
>   Just one possibility.  It might be the same problem, or it might
> not. 
> 
>   Start a bash shell.  Unless your install is really badly
> damaged, this should still work.
> 
>   cd into /etc/postinstall.
> 
>   Is there a file there called "d.sh"?  If so, that's going
> to have been causing setup to crash when it tries to handle
> it.  Execute it directly (enter "./d.sh"), then rename it with "mv
> d.sh d.sh.done". 
> 
>   After that setup should be able to complete.
> 
>   In fact, if even your bash shell won't work, use a dos
> prompt to rename it, then you can run it manually after your
> setup has completed by using ". /etc/postinstall/d.sh.done"
> 
> 
> 
>     cheers,
>       DaveK
> --
> Can't think of a witty .sigline today....

(This may or may not be related to your issue...) I also noticed on the
last update I did that some/all of the packages for ?LaTex? were
updated -- and that the post-install script (post-texmf.sh) took a VERY
long time to complete --- i.e. system looked like it was hung, but was
actually ?building? a lot of postinstall stuff.  This was on a slower
processor machine ~400mhz -- WAG is it took about 8-10 minutes.  I kept
thinking setup was hung -- ended up cancelling it and running
post-texmf.sh by hand ( I also had to comment out line 11, kept getting
permission denied on removing ~/web2c/*.*fmt).  

reid

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/